//
//  main.cpp
//  Problem1
//
//  Created by Tammy on 6/10/15.
//  Copyright (c) 2015 Tammy. All rights reserved.
//

#include <iostream>
using namespace std;

// Animal class
class Animal{
private:
    string name;
    int height;
    int weight;
    int energy;
    int cost;
    int freq;
    void energyCost();
public:
    Animal(string n, int h, int w, int e, int c, int f);
    void exercise(int hour);
    void print();
    string getName();
    int getEnergy();
};
// constructor
Animal::Animal(string n, int h, int w, int e, int c, int f): name(n), height(h), weight(w), energy(e), cost(c), freq(f){}
// print the private information
void Animal::print(){
    cout << this->name << ": Height " << this->height << ", Weight " << this->weight << ", Energy " << this->energy << ", cost " << this->cost << ", frequency " << this->freq <<endl;
}
// exercise function
void Animal::exercise(int hour){
    int time = hour / freq;
    // how many times the it has energy cost
    for(int i=0; i<time; i++){
        energyCost(); // invoke the energyCost function
    }
}
// energyCost function
void Animal::energyCost(){
    if(energy>0){ // print the information
        energy -= cost; // decrease the energy
        cout << Animal::getName() << " has " << Animal::getEnergy() << " energy left." << endl;
    }
    else{
        cout << Animal::getName() << " has no energy for exercising." << endl;
    }
}
// return the animal's name
string Animal::getName(){
    return this->name;
}
// return the animal's energy
int Animal::getEnergy(){
    return this->energy;
}
int main(){
    Animal tammy("Tammy",155,45,70,50, 2); // create Tammy as an animal
    tammy.print();
    tammy.exercise(6);
    return 0;
}